<?php

use WPDesk\ShopMagic\Components\Routing\RoutesConfigurator;
use WPDesk\ShopMagic\Marketing\MailTracking\Controller\MailTrackingController;
use WPDesk\ShopMagic\Marketing\Subscribers\View\AccountPreferences;

return static function ( RoutesConfigurator $configurator ) {
	$configurator
		->add( 'communication-preferences' )
		->authorize( '__return_true' )
		->controller( [
			AccountPreferences::class,
			'display_communication_page',
		] );

	$configurator
		->add( 'track/sm-click' )
		->authorize( '__return_true' )
		->controller( [
			MailTrackingController::class,
			'click',
		] );

	$configurator
		->add( 'track/sm-open' )
		->authorize( '__return_true' )
		->controller( [
			MailTrackingController::class,
			'open',
		] );
};
