<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Admin\Settings;

use WPDesk\ShopMagic\Integration;

/**
 * @implements \IteratorAggregate<SettingTab>
 */
class SettingsCollection implements \IteratorAggregate {

	/** @var SettingTab[] */
	private $setting_tabs;

	public function __construct() {
		$this->append_setting_tab( new GeneralSettings() );
		$this->append_setting_tab( new ModulesSettings() );
		$this->append_setting_tab( new Integration\Mailchimp\Settings() );
	}

	public function append_setting_tab( SettingTab $tab ): void {
		$this->setting_tabs[ $tab::get_tab_slug() ] = $tab;
	}

	public function getIterator(): \Traversable {
		$tabs = apply_filters( 'shopmagic/core/settings/tabs', $this->setting_tabs );

		return new \ArrayIterator( $tabs );
	}
}
