<?php

namespace WPDesk\ShopMagic\Components\Database\Abstraction\DAO;

use WPDesk\ShopMagic\Components\Collections\Collection;

/**
 * @template T of object
 */
interface ObjectRepository {
	/**
	 * @param $id
	 *
	 * @return T
	 */
	public function find( $id ): object;

	/**
	 * @return \WPDesk\ShopMagic\Components\Collections\Collection<int, T>
	 */
	public function find_all(): Collection;

	/**
	 * @param array    $criteria
	 * @param array    $order
	 * @param int      $offset
	 * @param int|null $limit
	 *
	 * @return \WPDesk\ShopMagic\Components\Collections\Collection<int, T>
	 */
	public function find_by( array $criteria, array $order = [], int $offset = 0, ?int $limit = null ): Collection;

	/**
	 * @param array      $criteria
	 * @param array|null $order
	 *
	 * @return T
	 */
	public function find_one_by( array $criteria, ?array $order = null ): object;

	//public function count( array $criteria ): int;
}
