<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\DataSharing;

use Psr\Container\ContainerInterface;

class FieldValuesBag implements ContainerInterface {

	/** @var array */
	private $field_values;

	public function __construct( array $field_values ) {
		$this->field_values = $field_values;
	}

	public function get( $id ) {
		if ( $this->has( $id ) ) {
			return $this->field_values[ $id ];
		}

		throw new ValueNotFound( sprintf( 'Failed to find value for identifier `%s`.', $id ) );
	}

	public function has( $id ): bool {
		return isset( $this->field_values[ $id ] );
	}
}
