<?php
declare(strict_types=1);

namespace WPDesk\ShopMagic\Extensions\Builtin;

use Psr\Log\LoggerInterface;
use WPDesk\ShopMagic\Extensions\AbstractExtension;
use WPDesk\ShopMagic\Integration\FlexibleCheckoutFields\Placeholder\OrderCheckoutField;

final class FlexibleCheckoutFieldsExtension extends AbstractExtension {

	/** @var \WPDesk\FCF\Free\Integration\Integrator */
	private $integrator;

	/** @var LoggerInterface */
	private $logger;

	public function __construct( \WPDesk\FCF\Free\Integration\Integrator $integrator, LoggerInterface $logger ) {
		$this->integrator = $integrator;
		$this->logger     = $logger;
	}

	/**
	 * @return \WPDesk\ShopMagic\Integration\FlexibleCheckoutFields\Placeholder\OrderCheckoutField[]
	 */
	public function get_placeholders(): array {
		return [
			new OrderCheckoutField( $this->integrator, $this->logger ),
		];
	}

}
