<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Guest;

trait GuestInOrderContextTrait {

	private function touch_order( int $order_id, int $guest_id ): void {
		if ( $order_id > 0 ) {
			$order = wc_get_order( $order_id );
			$order->update_meta_data( 'shopmagic_guest_id', $guest_id );
			$order->save();
		}
	}

	private function order_has_guest( \WC_Abstract_Order $order ): bool {
		return $order->get_user_id() === 0;
	}

}
