<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Guest;

use WPDesk\ShopMagic\Guest\DAO\GuestObjectManager;
use WPDesk\ShopMagic\Guest\DAO\GuestObjectRepository;

/**
 * @deprecated Maybe. It may make more sense to rely on GuestObjectManager
 *             Layer of abstraction is fine, but this covers 3 simple methods.
 */
final class GuestRepository {

	/** @var GuestObjectRepository */
	private $repository;

	/** @var GuestObjectManager */
	private $guest_manager;

	public function __construct(
		GuestObjectManager $guest_manager
	) {
		$this->guest_manager = $guest_manager;
		$this->repository    = $guest_manager->get_repository();
	}

	public function get_by_email( string $email ): Guest {
		return new Guest( $this->repository->find_one_by( [ 'email' => $email ] ) );
	}

	public function get_by_id( int $id ): Guest {
		return new Guest( $this->guest_manager->find( $id ) );
	}

	public function save( Guest $guest ): bool {
		return $this->guest_manager->save( $guest->get_entity() );
	}
}
