<?php
declare(strict_types=1);

namespace WPDesk\ShopMagic\Marketing\Segmentation;

/**
 * Simple repository pattern for Communication types.
 */
final class CommunicationListRepository {

	/** @return string[] Indexed by id. */
	public static function get_lists_as_select_options(): array {
		$posts   = self::get_lists_as_posts();
		$options = [];
		foreach ( $posts as $post ) {
			/** @var \WP_Post $post */
			$options[ $post->ID ] = $post->post_title;
		}

		return $options;
	}

	/**
	 * @return \WP_Post[]
	 * @internal Only for use in CommunicationListRespository
	 */
	public static function get_lists_as_posts(): array {
		return get_posts(
			[
				'post_type'   => CommunicationListPostType::TYPE,
				'numberposts' => - 1,
			]
		);
	}

}
