<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Modules\Mulitilingual\Integration;

use WPDesk\ShopMagic\Workflow\Automation\AutomationValueObjectRepository;
use WPDesk\ShopMagic\Workflow\Automation\ValueObject\AutomationValueObject;

class BareHandler implements \WPDesk\ShopMagic\Modules\Mulitilingual\Language {

	/** @var AutomationValueObjectRepository */
	private $repository;

	public function __construct( AutomationValueObjectRepository $repository ) {
		$this->repository = $repository;
	}

	public function automation_language( int $automation_id ): string {
		return $this->repository->find( $automation_id )->get_language();
	}

	public function default_language(): string {
		return get_bloginfo( 'language' );
	}

	public function supported_languages(): array {
		return $this->repository->find_all()->reduce( static function (
			array $languages,
			AutomationValueObject $automation
		): array {
			if ( ! in_array( $automation->get_language(), $languages ) ) {
				$languages[] = $automation->get_language();
			}

			return $languages;
		}, [] );
	}
}
