<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Modules\Mulitilingual\Marketing;

use WPDesk\ShopMagic\Components\Collections\Collection;
use WPDesk\ShopMagic\Customer\Customer;
use WPDesk\ShopMagic\Marketing\Segmentation\AudienceList;
use WPDesk\ShopMagic\Marketing\Segmentation\AudienceListFactory;

class MultilingualAudienceListRepository extends \WPDesk\ShopMagic\Marketing\Segmentation\AudienceListRepository {

	/** @var Customer */
	private $customer;

	public function __construct( AudienceListFactory $factory, Customer $customer ) {
		parent::__construct( $factory );
		$this->customer = $customer;
	}

	public function find_checkout_viewable_items(): Collection {
		$language = substr( $this->customer->get_language(), 0, 2 );

		return $this->find_by( [
			'post_status' => 'publish',
			'meta_query'  => [
				'relation' => 'AND',
				[
					'key'   => 'checkout_available',
					'value' => '1',
				],
				[
					'key'   => 'type',
					'value' => AudienceList::TYPE_OPTIN,
				],
				[
					'key'     => 'lang',
					'value'   => $language,
					'compare' => 'LIKE',
				],
			],
		] );
	}

}
