<?php

namespace WPDesk\ShopMagic\Modules\Mulitilingual\Validator;

use WPDesk\ShopMagic\Customer\Customer;
use WPDesk\ShopMagic\Modules\Mulitilingual\Language;
use WPDesk\ShopMagic\Workflow\Automation\Automation;
use WPDesk\ShopMagic\Workflow\Automation\AutomationValidator;

/**
 * Match Customer language against current automation language.
 */
final class CustomerLanguageValidator extends AutomationValidator {

	/** @var Language */
	private $language;

	public function __construct( Language $language ) {
		$this->language = $language;
	}

	public function valid(): bool {
		$customer   = $this->resources->get( Customer::class );
		$automation = $this->resources->get( Automation::class );

		if ( $this->language->automation_language( $automation->get_id() ) !== $customer->get_language() ) {
			return false;
		}

		return parent::valid();
	}
}
