<?php
declare( strict_types=1 );

namespace WPDesk\ShopMagic\Workflow\Action;

use Psr\Container\ContainerInterface;
use ShopMagicVendor\WPDesk\Persistence\Adapter\ArrayContainer;
use WPDesk\ShopMagic\Workflow\Event\DataLayer;

/**
 * NullObject pattern. When no action is found this class is used.
 */
final class NullAction extends Action {
	public function get_name(): string {
		return '';
	}

	public function get_fields_data(): ContainerInterface {
		return new ArrayContainer();
	}

	public function execute( DataLayer $resources ): bool {
		return false;
	}

	/**
	 * @return mixed[]
	 */
	public function get_required_data_domains(): array {
		return [];
	}

	public function set_provided_data( DataLayer $resources ): void {
	}

	public function update_fields_data( ContainerInterface $data ): void {
	}
}
