<?php
declare(strict_types=1);

namespace WPDesk\ShopMagic\Workflow\Automation\Validator;

use WPDesk\ShopMagic\Workflow\Automation\AutomationValidator;
use WPDesk\ShopMagic\Workflow\Filter\FilterLogic;

/**
 * Validates, if filters passing.
 */
final class FiltersValidator extends AutomationValidator {

	/** @var FilterLogic */
	private $filters;

	public function __construct( FilterLogic $filters ) {
		$this->filters = $filters;
	}

	public function valid(): bool {
		$this->filters->set_provided_data( $this->resources );
		if ( ! $this->filters->passed() ) {
			return false;
		}

		return parent::valid();
	}

}
