<?php

declare( strict_types=1 );

namespace WPDesk\ShopMagic\Workflow\Automation\ValueObject;

class AutomationValueObject {

	/** @var int|null */
	private $id;

	/** @var string */
	private $name;

	/** @var string */
	private $status = 'draft';

	/** @var string|null */
	private $description;

	/** @var EventValueObject */
	private $event;

	/** @var ActionValueObject[] */
	private $actions = [];

	/** @var FilterValueObject[][] */
	private $filters = [];

	/** @var string */
	private $language;

	/** @var bool */
	private $from_recipe = false;

	public function get_id(): ?int {
		return $this->id;
	}

	public function set_id( ?int $id ): void {
		$this->id = $id;
	}

	public function get_name(): string {
		return $this->name;
	}

	public function set_name( string $name ): void {
		$this->name = $name;
	}

	public function get_description(): ?string {
		return $this->description;
	}

	public function set_description( string $description ): void {
		$this->description = $description;
	}

	public function get_status(): string {
		return $this->status;
	}

	public function set_status( string $status ): void {
		$this->status = $status;
	}

	public function get_event(): EventValueObject {
		return $this->event;
	}

	public function set_event( EventValueObject $event ): void {
		$this->event = $event;
	}

	public function get_actions(): array {
		return $this->actions;
	}

	public function set_actions( array $actions ): void {
		$this->actions = $actions;
	}

	public function get_filters(): array {
		return $this->filters;
	}

	public function set_filters( array $filters ): void {
		$this->filters = $filters;
	}

	public function get_language(): string {
		return $this->language ?? get_bloginfo( 'language' );
	}

	public function set_language( string $language ): void {
		$this->language = $language;
	}

	public function is_from_recipe(): bool {
		return $this->from_recipe;
	}

	public function set_from_recipe( bool $from_recipe ): void {
		$this->from_recipe = $from_recipe;
	}

}
