<?php
declare( strict_types=1 );

namespace WPDesk\ShopMagic\Workflow\Event;

use Psr\Container\ContainerInterface;


/**
 * Event NullObject passed when no compatible Event is found.
 */
final class NullEvent extends Event {
	/**
	 * @return mixed[]
	 */
	public function get_provided_data_domains(): array {
		return [];
	}

	public function get_name(): string {
		return __( 'Event does not exists', 'shopmagic-for-woocommerce' );
	}

	public function get_group_slug(): string {
		return '';
	}

	public function get_description(): string {
		return '';
	}

	public function initialize(): void {
	}

	public function supports_deferred_check(): bool {
		return false;
	}

	/**
	 * @return mixed[]
	 */
	public function jsonSerialize(): array {
		return [];
	}

	public function set_from_json( array $serialized_json ): void {
	}

	public function update_fields_data( ContainerInterface $data ): void {
	}
}
