<?php
declare(strict_types=1);

namespace WPDesk\ShopMagic\Workflow\Filter;

/**
 * Filter that lets everything go.
 */
final class NullFilter extends Filter {

	/**
	 * @return mixed[]
	 */
	public function get_fields(): array {
		return [];
	}

	public function passed(): bool {
		return true;
	}

	public function get_group_slug(): string {
		return '';
	}

	public function get_name(): string {
		return __( 'Filter does not exists', 'shopmagic-for-woocommerce' );
	}

	/**
	 * @return mixed[]
	 */
	public function get_required_data_domains(): array {
		return [];
	}
}
