<?php
declare( strict_types=1 );

namespace WPDesk\ShopMagic\Workflow\Placeholder\Builtin\Customer;

use WPDesk\ShopMagic\Customer\Customer;
use WPDesk\ShopMagic\Workflow\Placeholder\Builtin\CustomerBasedPlaceholder;

final class CustomerName extends CustomerBasedPlaceholder {

	public function get_slug(): string {
		return 'name';
	}

	public function get_description(): string {
		return esc_html__( "Display concatenation of first and last name for current Customer. If no name is provided, display Customer's username.", 'shopmagic-for-woocommerce' );
	}

	public function value( array $parameters ): string {
		$this->resources->has( \WP_Comment::class ) ? $this->resources->get( \WP_Comment::class )->comment_author : '';

		return $this->resources->get( Customer::class )->get_full_name() ?: $fallback;
	}
}
