<?php
declare( strict_types=1 );

namespace WPDesk\ShopMagic\Workflow\Placeholder;

use WPDesk\ShopMagic\Extensions\Elements\MatchableCollection;
use WPDesk\ShopMagic\Extensions\Elements\Sortable;

/**
 * @extends MatchableCollection<Placeholder>
 * @implements Sortable<Placeholder>
 */
final class PlaceholdersList extends MatchableCollection implements Sortable {

	/** @var string */
	protected $type = Placeholder::class;

	public function offsetSet( $offset, $value ): void {
		parent::offsetSet(
			$offset ?? $value->get_name(),
			$value
		);
	}

	public function compare( object $a, object $b ): int {
		$group_compare = strcmp( $a->get_group_slug(), $b->get_group_slug() );
		if ( $group_compare === 0 ) {
			return strcmp( $a->get_name(), $b->get_name() );
		}

		return $group_compare;
	}
}
